#include "editor.h"

namespace editor
{
    static bool devMode = false;
    static bool editing = false;
    static int current_template = 0;

    void setDevMode()
    {
        devMode = editing = true;
    }

    const bool isDevMode()
    {
        return devMode;
    }

    void setEditing(const bool value)
    {
        editing = value;
    }

    const bool isEditing()
    {
        return editing;
    }

    const int getCurrentTemplate()
    {
        return current_template;
    }

    void setCurrentTemplate(const int value)
    {
        current_template = value;
    }

}
